airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hari Krishna ADDEPALLI LN (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AIRFLOW-3351) Airflow webserver intermitent broken
Date Thu, 15 Nov 2018 10:49:00 GMT
Hari Krishna ADDEPALLI LN created AIRFLOW-3351:
--------------------------------------------------

             Summary: Airflow webserver intermitent broken
                 Key: AIRFLOW-3351
                 URL: https://issues.apache.org/jira/browse/AIRFLOW-3351
             Project: Apache Airflow
          Issue Type: Bug
          Components: authentication
    Affects Versions: 1.10.0
            Reporter: Hari Krishna ADDEPALLI LN


After completing the airflow 1.10.0 integration with LDAP anonymously (AIRFLOW-3208), we started
to hit "Internal Server Error" with below exception stack, we tried to clean up the browser
cache, it sometimes works and sometimes error our. Please advise the resolution to avoid this
issue.

 
{code:java}
During handling of the above exception, another exception occurred: Traceback (most recent
call last):   File "/usr/local/lib/python3.5/site-packages/gunicorn/workers/sync.py", line
135, in handle     self.handle_request(listener, req, client, addr)   File "/usr/local/lib/python3.5/site-packages/gunicorn/workers/sync.py",
line 176, in handle_request     respiter = self.wsgi(environ, resp.start_response)   File
"/usr/local/lib/python3.5/site-packages/werkzeug/wsgi.py", line 826, in __call__     return
app(environ, start_response)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1997, in __call__     return self.wsgi_app(environ, start_response)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1985, in wsgi_app     response = self.handle_exception(e)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1547, in handle_exception     return self.finalize_request(handler(e), from_error_handler=True)
  File "/usr/local/lib/python3.5/site-packages/airflow/www/views.py", line 716, in show_traceback
    info=traceback.format_exc()), 500   File "/usr/local/lib/python3.5/site-packages/flask/templating.py",
line 132, in render_template     ctx.app.update_template_context(context)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 764, in update_template_context     context.update(func())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 825, in _user_context_processor     return dict(current_user=_get_user())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 794, in _get_user     current_app.login_manager._load_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 363, in _load_user     return self.reload_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 325, in reload_user     user = self.user_callback(user_id)   File "/usr/local/lib/python3.5/site-packages/airflow/utils/db.py",
line 74, in wrapper     return func(*args, **kwargs)   File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 278, in load_user     return LdapUser(user)   File "<string>", line 4, in __init__
  File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py", line 414, in _initialize_instance
    manager.dispatch.init_failure(self, args, kwargs)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/langhelpers.py",
line 66, in __exit__     compat.reraise(exc_type, exc_value, exc_tb)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/compat.py",
line 187, in reraise     raise value   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py",
line 411, in _initialize_instance     return manager.original_init(*mixed[1:], **kwargs)
  File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 157, in __init__     user.username) AttributeError: 'NoneType' object has no attribute
'username' 127.0.0.1 - - [15/Nov/2018:10:47:31 +0000] "GET /admin/ HTTP/1.1" 500 0 "-" "-"
[2018-11-15 10:47:38,590] ERROR in app: Exception on /favicon.ico [GET] Traceback (most recent
call last):   File "/usr/local/lib/python3.5/site-packages/flask/app.py", line 1612, in full_dispatch_request
    rv = self.dispatch_request()   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1590, in dispatch_request     self.raise_routing_exception(req)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1573, in raise_routing_exception     raise request.routing_exception   File "/usr/local/lib/python3.5/site-packages/flask/ctx.py",
line 294, in match_request     self.url_adapter.match(return_rule=True)   File "/usr/local/lib/python3.5/site-packages/werkzeug/routing.py",
line 1581, in match     raise NotFound() werkzeug.exceptions.NotFound: 404 Not Found: The
requested URL was not found on the server.  If you entered the URL manually please check
your spelling and try again. During handling of the above exception, another exception occurred:
Traceback (most recent call last):   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1982, in wsgi_app     response = self.full_dispatch_request()   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1614, in full_dispatch_request     rv = self.handle_user_exception(e)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1512, in handle_user_exception     return self.handle_http_exception(e)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1471, in handle_http_exception     return handler(e)   File "/usr/local/lib/python3.5/site-packages/airflow/www/views.py",
line 707, in circles     'airflow/circles.html', hostname=get_hostname()), 404   File "/usr/local/lib/python3.5/site-packages/flask/templating.py",
line 132, in render_template     ctx.app.update_template_context(context)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 764, in update_template_context     context.update(func())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 825, in _user_context_processor     return dict(current_user=_get_user())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 794, in _get_user     current_app.login_manager._load_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 363, in _load_user     return self.reload_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 325, in reload_user     user = self.user_callback(user_id)   File "/usr/local/lib/python3.5/site-packages/airflow/utils/db.py",
line 74, in wrapper     return func(*args, **kwargs)   File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 278, in load_user     return LdapUser(user)   File "<string>", line 4, in __init__
  File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py", line 414, in _initialize_instance
    manager.dispatch.init_failure(self, args, kwargs)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/langhelpers.py",
line 66, in __exit__     compat.reraise(exc_type, exc_value, exc_tb)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/compat.py",
line 187, in reraise     raise value   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py",
line 411, in _initialize_instance     return manager.original_init(*mixed[1:], **kwargs)
  File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 157, in __init__     user.username) AttributeError: 'NoneType' object has no attribute
'username' [2018-11-15 10:47:38 +0000] [78] [ERROR] Error handling request /favicon.ico Traceback
(most recent call last):   File "/usr/local/lib/python3.5/site-packages/flask/app.py", line
1612, in full_dispatch_request     rv = self.dispatch_request()   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1590, in dispatch_request     self.raise_routing_exception(req)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1573, in raise_routing_exception     raise request.routing_exception   File "/usr/local/lib/python3.5/site-packages/flask/ctx.py",
line 294, in match_request     self.url_adapter.match(return_rule=True)   File "/usr/local/lib/python3.5/site-packages/werkzeug/routing.py",
line 1581, in match     raise NotFound() werkzeug.exceptions.NotFound: 404 Not Found: The
requested URL was not found on the server.  If you entered the URL manually please check
your spelling and try again. During handling of the above exception, another exception occurred:
Traceback (most recent call last):   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1982, in wsgi_app     response = self.full_dispatch_request()   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1614, in full_dispatch_request     rv = self.handle_user_exception(e)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1512, in handle_user_exception     return self.handle_http_exception(e)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1471, in handle_http_exception     return handler(e)   File "/usr/local/lib/python3.5/site-packages/airflow/www/views.py",
line 707, in circles     'airflow/circles.html', hostname=get_hostname()), 404   File "/usr/local/lib/python3.5/site-packages/flask/templating.py",
line 132, in render_template     ctx.app.update_template_context(context)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 764, in update_template_context     context.update(func())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 825, in _user_context_processor     return dict(current_user=_get_user())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 794, in _get_user     current_app.login_manager._load_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 363, in _load_user     return self.reload_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 325, in reload_user     user = self.user_callback(user_id)   File "/usr/local/lib/python3.5/site-packages/airflow/utils/db.py",
line 74, in wrapper     return func(*args, **kwargs)   File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 278, in load_user     return LdapUser(user)   File "<string>", line 4, in __init__
  File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py", line 414, in _initialize_instance
    manager.dispatch.init_failure(self, args, kwargs)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/langhelpers.py",
line 66, in __exit__     compat.reraise(exc_type, exc_value, exc_tb)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/compat.py",
line 187, in reraise     raise value   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py",
line 411, in _initialize_instance     return manager.original_init(*mixed[1:], **kwargs)
  File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 157, in __init__     user.username) AttributeError: 'NoneType' object has no attribute
'username' During handling of the above exception, another exception occurred: Traceback (most
recent call last):   File "/usr/local/lib/python3.5/site-packages/gunicorn/workers/sync.py",
line 135, in handle     self.handle_request(listener, req, client, addr)   File "/usr/local/lib/python3.5/site-packages/gunicorn/workers/sync.py",
line 176, in handle_request     respiter = self.wsgi(environ, resp.start_response)   File
"/usr/local/lib/python3.5/site-packages/werkzeug/wsgi.py", line 826, in __call__     return
app(environ, start_response)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1997, in __call__     return self.wsgi_app(environ, start_response)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1985, in wsgi_app     response = self.handle_exception(e)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 1547, in handle_exception     return self.finalize_request(handler(e), from_error_handler=True)
  File "/usr/local/lib/python3.5/site-packages/airflow/www/views.py", line 716, in show_traceback
    info=traceback.format_exc()), 500   File "/usr/local/lib/python3.5/site-packages/flask/templating.py",
line 132, in render_template     ctx.app.update_template_context(context)   File "/usr/local/lib/python3.5/site-packages/flask/app.py",
line 764, in update_template_context     context.update(func())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 825, in _user_context_processor     return dict(current_user=_get_user())   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 794, in _get_user     current_app.login_manager._load_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 363, in _load_user     return self.reload_user()   File "/usr/local/lib/python3.5/site-packages/flask_login.py",
line 325, in reload_user     user = self.user_callback(user_id)   File "/usr/local/lib/python3.5/site-packages/airflow/utils/db.py",
line 74, in wrapper     return func(*args, **kwargs)   File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 278, in load_user     return LdapUser(user)   File "<string>", line 4, in __init__
  File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py", line 414, in _initialize_instance
    manager.dispatch.init_failure(self, args, kwargs)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/langhelpers.py",
line 66, in __exit__     compat.reraise(exc_type, exc_value, exc_tb)   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/util/compat.py",
line 187, in reraise     raise value   File "/usr/local/lib/python3.5/site-packages/sqlalchemy/orm/state.py",
line 411, in _initialize_instance     return manager.original_init(*mixed[1:], **kwargs)
  File "/usr/local/lib/python3.5/site-packages/airflow/contrib/auth/backends/ldap_auth.py",
line 157, in __init__     user.username) AttributeError: 'NoneType' object has no attribute
'username' 127.0.0.1 - - [15/Nov/2018:10:47:38 +0000] "GET /favicon.ico HTTP/1.1" 500 0 "-"
"-"
{code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message